package gotowe.p20_string;

public class Mutowalnosc {

	public static void main(String[] args) {
		String a = "Ala";
		String b = a;
				
		a += " ma kota";
		// tutaj został utworzony nowy obiekt; to działa tak:
		// a = new String(a + " ma kota");
		// a zmienna b wskazuje wciąż na stary obiekt "Ala"
		
		// Gdy przekazujemy obiekt String jako parametr do metody,
		// to ta metoda na pewno nie zmodyfikuje tego napisu "w środku"
		piesek(a);

		System.out.println("a: " + a); // Ala ma kota
		System.out.println("b: " + b); // Ala
	}
	
	static void piesek(String c) {
		// tutaj powstaje nowy obiekt, a nie jest modyfikowany ten przekazany w parametrze
		c += ", ma też psa";
		System.out.println("c: " + c); // Ala ma kota, ma też psa
	}
	
	// Klasa String jest "niemutowalna" / "immutable"
	// Obiekty String nigdy nie zmieniają swojego stanu.

}
