package p02_scanner;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Locale;
import java.util.Scanner;

// Ta wersja:
// - używa BigDecimal do obliczeń, aby były w pełni precyzyjne
// - zmiania ustawienia regionalne w Scannerze na amerykańskie, aby użytkownik wpisywał liczbę z kropką
public class Zakupy3_BigDecimal {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        scanner.useLocale(Locale.US);
        System.out.print("Co chcesz kupić? ");
        String towar = scanner.nextLine();
        System.out.print("Ile kosztuje jedna sztuka? ");
        BigDecimal cena = scanner.nextBigDecimal();
        System.out.print("Ile sztuk " + towar + " kupujesz? ");
        int sztuk = scanner.nextInt();

        BigDecimal wartosc = cena.multiply(BigDecimal.valueOf(sztuk));
        // Gdybyśmy chcieli wynik zaokrąglićd o2 miejsc pp , to w taki sposób:
        // wartosc = wartosc.setScale(2, RoundingMode.HALF_UP);
        System.out.printf("Za %d sztuk towaru %s zapłacisz %s zł\n", sztuk, towar, wartosc);
    }
}
