package p03_if;

import java.util.Scanner;

public class Bagaz3 {
    /* W tej wersji:
     * - rozbijamy warunki do oddzielnych if-ów, aby program napisał dlaczego bagaż został odrzucony
     * - ważne jednak, aby program ostatecznie potwierdził akceptację bagażu, lub napisał jednoznacznie, że odrzuca
     * - program wypisuje tylko pierwszą przyczynę odrzucenia
     * - sprawdzanie warunków pozytywnych prowadzi tutaj do powstania kodu wielokrotnie zagnieżdżonego
     *   (if w ifie i kolejnym ifie...)
     *   "else jest daleko od swojego if-a"
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.print("Podaj długość: ");
        int dlugosc = scanner.nextInt();
        System.out.print("Podaj szerokość: ");
        int szerokosc = scanner.nextInt();
        System.out.print("Podaj wysokość: ");
        int wysokosc = scanner.nextInt();
        int objetosc = dlugosc*szerokosc*wysokosc;

        if (dlugosc <= 50) {
            if (szerokosc <= 50) {
                if (wysokosc <= 50) {
                    if (objetosc <= 50_000) {
                        System.out.println("Bagaż zaakceptowany");
                    } else {
                        System.out.println("objętość za duża");
                    }
                } else {
                    System.out.println("wysokość za duża");
                }
            } else {
                System.out.println("szerokość za duża");
            }
        } else {
            System.out.println("długość za duża");
        }
    }
}
