package gotowe.p08_funkcje.importowanie;

import java.util.Random;

import static gotowe.p08_funkcje.przyklady.Geometria.*;
import static java.lang.Double.parseDouble;
import static javax.swing.JOptionPane.*;

public class StaticImportOkienkowy {

	public static void main(String[] args) {
		Random random = new Random();
		
		String[] figury = {"kwadrat", "koło", "prostokąt", "trójkąt"};
		int poczatkowyWybor = random.nextInt(figury.length);
		
		String figura = (String)showInputDialog(
				null,
				"Wybierz rodzaj figury",
				"Wybór",
				QUESTION_MESSAGE,
				null,
				figury,
				figury[poczatkowyWybor]);

		if(figura == null) {
			return;
		}
		switch(figura) {
			case "kwadrat" -> {
				double a = parseDouble(showInputDialog("Podaj długość boku:"));
				double pole = poleKwadratu(a);
				double obwod = obwodKwadratu(a);
				showMessageDialog(null, "Pole: " + pole + "\nObwód: " + obwod);
			}
			case "koło" -> {
				double r = parseDouble(showInputDialog("Podaj promień koła:"));
				double pole = poleKola(r);
				double obwod = obwodKola(r);
				showMessageDialog(null, "Pole: " + pole + "\nObwód: " + obwod);
			}
			case "prostokąt" -> {
				double a = parseDouble(showInputDialog("Podaj długość 1. boku:"));
				double b = parseDouble(showInputDialog("Podaj długość 2. boku:"));
				double pole = poleProstokata(a, b);
				double obwod = obwodProstokata(a, b);
				showMessageDialog(null, "Pole: " + pole + "\nObwód: " + obwod);
			}
			case "trójkąt" -> {
				double a = parseDouble(showInputDialog("Podaj długość 1. boku:"));
				double b = parseDouble(showInputDialog("Podaj długość 2. boku:"));
				double c = parseDouble(showInputDialog("Podaj długość 3. boku:"));
				double pole = poleTrojkata(a, b, c);
				double obwod = obwodTrojkata(a, b, c);
				showMessageDialog(null, "Pole: " + pole + "\nObwód: " + obwod);
			}
		}
	}

}
