package gotowe.p08_funkcje.przyklady;

import java.util.Scanner;

public class Palindrom {
	
	static boolean palindrom_v1(String napis) {
		for(int i = 0; i < napis.length(); i++) {
			if(napis.charAt(i) != napis.charAt(napis.length() - i - 1)) {
				return false;
			}
		}
		// gdy nie było żadnej niezgodności i doszliśmy do końca pętli, wtedy możemy zwróić true
		return true;		
	}
	
	static boolean palindrom_v2(String napis) {
		final int length = napis.length();
		for(int i = 0; i < length / 2; i++) {
			if(napis.charAt(i) != napis.charAt(length - i - 1)) {
				return false;
			}
		}
		return true;
	}
	
	static boolean palindrom(String napis) {
		for(int left = 0, right = napis.length()-1; left < right; left++, right--) {
			if(napis.charAt(left) != napis.charAt(right)) {
				return false;
			}
		}
		return true;		
	}

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.println("Pusty tekst kończy program");
		while(true) {
			System.out.println("Podaj tekst:");
			String txt = scanner.nextLine();
			if(txt.isEmpty()) break;
			
			if(palindrom(txt)) {
				System.out.println("Tekst JEST palindromem");
			} else {
				System.out.println("Tekst NIE jest palindromem");
			}
		}
		System.out.println("Koniec");
	}

}
