package gotowe.p20_string;

import java.util.Scanner;

public class TworzenieStringa {
	
	// Wynikiem funkcji ma być napis składający się z liczb od 1 do n rozdzielonych spacjami
	// Np. dla 5 wynikiem ma być "1 2 3 4 5 "
	static String ciag(int n) {
	    // uwaga, ta wersja działa wolno, to nie jest zalecane podejście
		String s = "";
		for(int i = 1; i <= n; i++) {
			s += i + " ";
		}
		return s;
	}
	
	static String ciagBuilder(int n) {
		StringBuilder s = new StringBuilder();
		for(int i = 1; i <= n; i++) {
			s.append(i).append(' ');
		}
		return s.toString();
	}

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		while(true) {
			System.out.print("Podaj liczbę: ");
			int n = scanner.nextInt();
			if(n < 0) break;
			
			long p = System.nanoTime();
			String txt = ciagBuilder(n);			
			long k = System.nanoTime();
			System.out.printf("napis ma długość %d , czas: %.6f s%n", txt.length(), (k-p)*1e-9);
			if(txt.length() <= 1000) {
				System.out.println(txt);
			}
		}

	}

}
