package gotowe.p22_kolekcje;

import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class ZbieranieDanych2_Lista {
    // Listy:
    // - mogą zawierać duplikaty (tę wartość kilka razy),
    // - przechowują elementy na określonych pozycjach od 0 do size-1,
    //   za pomocą get(i) można odczytać, a za pomocą set(i, nowaWartosc) zmienić konkretny element listy

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		List<String> lista = new ArrayList<>();
		
		System.out.println("Podawaj imiona, a zakończ pustym napisem (ENTER)");
		for(;;) {
			System.out.print("Podaj kolejne imię: ");
			String imie = scanner.nextLine();
			if(imie.isEmpty()) break;
			lista.add(imie);
		}
		System.out.println(lista);
		System.out.println();
		
		System.out.println("Podawaj numery pozycji, aby je odczytać, a -1 aby zakończyć program.");
		for(;;) {
			System.out.print("Podaj numer: ");
			int nr = scanner.nextInt();
			if(nr < 0) break;
			if(nr >= lista.size()) {
				System.out.println("Numer poza listą");
				continue;
			}
			System.out.println("Osoba nr " + nr + " ma na imię " + lista.get(nr));
			// Listy też pozwalają odczytać element z określonej pozycji.
			// W przypadku implementacji ArrayList ta operacja jest wydajna.
		}
	}

}
